﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head><title>Managing Roles</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Roles</h1>
        <p>The users provisioned in <strong>IGA</strong>must be assigned with entitlements for their day-to-day activities to be performed within an application. Considering the real time use case of hundreds of users and thousands of entitlements on the <strong>IGA</strong>application, it is a tedious job to manually assign the entitlements to users, based on the roles a user is classified for. To overcome such a scenario suitable roles are created and assigned with applicable entitlements, users are then assigned these available roles to perform their day-to-day tasks.<br /><strong>Roles</strong> constitute a collection of entitlements. Roles can also be created per scenario based and can be merged if required, with any suitable roles already available in the application. The basic classifications of roles are as follows:</p>
        <ul class="conf-macro output-inline">
            <li>
                <p><strong>Base role or Birth right role: </strong>These types of role is for granting the basic access needed for any user across business units; such roles need not require approvals from the managers.</p>
            </li>
            <li>
                <p><strong>Auxiliary or Application based role: </strong>This type of role contains coarse or fine-grained entitlements that are required to access an application. Used to combine multiple access levels within a single application for ease of request and review, these roles are request-able and also are certifiable as exceptional access.</p>
                <ul>
                    <li>
                        <p>Example: <strong>Application Role: </strong>Having access or entitlements related to a single application linked with an Endpoint.&#160;</p>
                    </li>
                </ul>
            </li>
            <li>
                <p><strong>Job based or Function based role: </strong>These roles are assigned to users, based on their job or business functions they are handling. A user may have more than one functional roles assigned as part of his business responsibilities. These roles can either be requested or auto-assigned based on the attributes defined, they can also be hierarchical and may include one or more application roles.</p>
                <ul>
                    <li>
                        <p>Example: <strong>Firefighter Role: </strong>Firefighter roles have access or entitlements across multiple applications in an organization. Firefighter roles are time bound, i.e. they can be requested only for a particular time period to manage responsibility of a peer on vacation until they return.</p>
                    </li>
                    <li>
                        <p>Example: <strong>Enterprise Role: </strong>Having access or entitlements, spanned across multiple applications linked with different Endpoints in an organization.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p><strong>Dynamic role: </strong>These roles are computed in real time, based on access model defined for peers. The roles will be listed as access recommendations at the time of request process from an end user, these roles carry a risk based access constraints. Dynamic roles form as a decision drivers to managers or approvers during access approvals or access certification process.</p>
            </li>
        </ul>
        <h3 id="ManagingRoles-ConditionsforCreatingRoles">Conditions for Creating Roles</h3>
        <p>Following are the conditions for creating roles:</p>
        <ul>
            <li>
                <p>Role admins must add, at the least one entitlement to the role during role creation request.</p>
            </li>
            <li>
                <p>The approval workflow must be routed for approval through all role owners, and then through all entitlement owners (AND condition).</p>
            </li>
            <li>
                <p>The entitlement owner's must be only allowed to approve or reject the entitlements allocated to them.</p>
            </li>
            <li>
                <p>If any entitlement owner rejects an entitlement at any given time, that entitlement must be dropped from the role.</p>
            </li>
            <li>
                <p>If a role owner rejects an entitlement, in such case, there is no need to route the entitlement for approval to the next owner, which has been rejected.</p>
            </li>
            <li>
                <p>A role will be created with or without entitlements.</p>
            </li>
            <li>
                <p>In the course of approval of a role, if one or more entitlements are rejected by their respective owners, a shell role will get created with or without entitlements. The role owner can add one or more entitlements and re-submit for approval as required.</p>
            </li>
            <li>
                <p>At the end of workflow, all role owners must be notified with the final content of the role created.</p>
            </li>
        </ul>
        <h3 id="ManagingRoles-ConditionsforModifyingRoles">Conditions for Modifying Roles</h3>
        <p>Following are the conditions for modifying roles:</p>
        <ul>
            <li>
                <p>The approval workflow for the modified role must be first routed through all role owners, and conditionally through all entitlement owners (only if their entitlement was changed).</p>
            </li>
            <li>
                <p>If a new entitlement is added to an existing role then, only owner of the added entitlement must be required to provide approval.</p>
            </li>
            <li>
                <p>Entitlement owners must not be provisioned to approve any existing entitlements in a role. They must be allowed to approve only the modified entitlements.</p>
            </li>
            <li>
                <p>The application provides role admin the capability, to automatically assess the impact of the change being made to a role, even before submitting the role with changes made (example: notifying the users losing an entitlement, if that entitlement is rejected by the owner).</p>
            </li>
            <li>
                <p>If an entitlement is rejected from the role, the application must trigger tasks to remove the rejected entitlement from all users, having the rejected entitlement inherited from that role.</p>
            </li>
            <li>
                <p>At the end of workflow, all role owners must be notified with the final content of the role created.</p>
            </li>
        </ul>
    </body>
</html>